Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498810 - dev-util/cscope-15.8a with sys-libs/ncurses[tinfo] - ld: command.o: undefined reference to symbol 'keypad'
Summary: dev-util/cscope-15.8a with sys-libs/ncurses[tinfo] - ld: command.o: undefined...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-01-21 16:41 UTC by Seong-ho Cho
Modified: 2015-01-20 15:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info of the cmake-2.8.12.1-r3 package (info_cmake-2.8.12.1-r3.log,7.79 KB, text/plain)
2014-01-21 16:42 UTC, Seong-ho Cho
Details
emerge info of the cscope-15.8a package (info_cscope-15.8a.log,7.79 KB, text/plain)
2014-01-21 16:44 UTC, Seong-ho Cho
Details
build_cmake-2.8.12.1-r3.log (build_cmake-2.8.12.1-r3.log,411.49 KB, text/plain)
2014-01-21 16:45 UTC, Seong-ho Cho
Details
build_cscope-15.8a.log (build_cscope-15.8a.log,13.54 KB, text/plain)
2014-01-21 16:45 UTC, Seong-ho Cho
Details
Patch for cscope-15.8a.ebuild (cscope-15.8a.ebuild.diff,682 bytes, patch)
2014-01-22 10:20 UTC, Ulrich Müller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Seong-ho Cho 2014-01-21 16:41:02 UTC
I've tried to build so much time, but, unfortunately :D two packages are failed to ebuild due to the same issue.

I've attached necessary log to analyze which package causes this error.

I wonder why a kind of below message appeared when I've met an error msg.

foobaz.o: undefined reference to symbol 'keypad'
/lib64/libtinfo.so.5: error adding symbols: DSO missing from command line
Comment 1 Seong-ho Cho 2014-01-21 16:42:04 UTC
Created attachment 368346 [details]
emerge info of the cmake-2.8.12.1-r3 package
Comment 2 Seong-ho Cho 2014-01-21 16:44:00 UTC
Created attachment 368348 [details]
emerge info of the cscope-15.8a package
Comment 3 Seong-ho Cho 2014-01-21 16:45:05 UTC
Created attachment 368350 [details]
build_cmake-2.8.12.1-r3.log
Comment 4 Seong-ho Cho 2014-01-21 16:45:31 UTC
Created attachment 368352 [details]
build_cscope-15.8a.log
Comment 5 Jeroen Roovers gentoo-dev 2014-01-21 17:07:50 UTC
Comment on attachment 368350 [details]
build_cmake-2.8.12.1-r3.log

That's bug #468622.
Comment 6 Jeroen Roovers gentoo-dev 2014-01-21 17:09:45 UTC
Comment on attachment 368346 [details]
emerge info of the cmake-2.8.12.1-r3 package

That's bug #468622.
Comment 7 Ulrich Müller gentoo-dev 2014-01-22 10:20:46 UTC
Created attachment 368424 [details, diff]
Patch for cscope-15.8a.ebuild

This patch to the ebuild should fix it.
Comment 8 Ulrich Müller gentoo-dev 2014-01-25 10:25:09 UTC
Fixed in CVS.

Thank you for reporting.